%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-WWW-Curl
Version:       4.17
Release:       2mamba
Summary:       WWW - Perl extension interface for libcurl
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://search.cpan.org/CPAN/authors/id/S/SZ/SZBALINT/WWW-Curl-%{version}.tar.gz
Patch0:        perl-WWW-Curl-4.17-gcc-6.2.patch
License:       MPL, MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcurl-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver
BuildRequires: perl-devel >= %perl_major_ver
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
WWW - Perl extension interface for libcurl.

%prep
%setup -q -n WWW-Curl-%{version}
%patch0 -p1

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make

#   Failed test 'https://www.microsoft.com/ ssl test succeeds'
#   at t/08ssl.t line 86.

#   Failed test 'https://www.microsoft.com/ ssl test succeeds'
#   at t/08ssl.t line 86.
#% make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 4.17-2mamba
- rebuilt with perl 5.24

* Sat Feb 22 2014 Automatic Build System <autodist@mambasoft.it> 4.17-1mamba
- automatic update by autodist

* Mon Nov 12 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 4.15-2mamba
- perl 5.16 mass rebuild

* Wed Dec 01 2010 Automatic Build System <autodist@mambasoft.it> 4.15-1mamba
- automatic update by autodist

* Thu Nov 11 2010 Automatic Build System <autodist@mambasoft.it> 4.14-1mamba
- automatic update by autodist

* Fri Oct 01 2010 Automatic Build System <autodist@mambasoft.it> 4.13-1mamba
- automatic update by autodist

* Tue Aug 10 2010 Automatic Build System <autodist@mambasoft.it> 4.12-1mamba
- automatic update by autodist

* Tue Jun 29 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 4.11-1mamba
- package created by autospec
